#ifndef HW_LIB_PAGE_H
#define HW_LIB_PAGE_H

#include "oled.h"

typedef void (*Page_t)(OLED_T *dev);

extern uint8_t pageid, cur, cnt, item_h, item_w;
extern uint8_t cnt_f;
typedef struct Page_L {
    uint8_t id: 4;
    uint8_t curmax: 4;
    uint8_t curmin: 4;
    uint8_t back: 4;
    uint8_t next: 4;
    uint8_t item_h:6;
    uint8_t item_w: 7;
    Page_t page;
} Page_L_t;

void pageinit();

Page_L_t pagesearch(uint8_t id);

void mainpage(OLED_T *dev);

void pageA(OLED_T *dev);

void pageB(OLED_T *dev);

void pageC(OLED_T *dev);
void pageImg(OLED_T *dev);

#endif //HW_LIB_PAGE_H
